com.opensymphony.xwork2.conversion.impl

## Class DefaultConversionAnnotationProcessor

- java.lang.Object
- - com.opensymphony.xwork2.conversion.impl.DefaultConversionAnnotationProcessor

- All Implemented Interfaces:
    ConversionAnnotationProcessor

      public class DefaultConversionAnnotationProcessor
      extends Object
      implements ConversionAnnotationProcessor

  Default implementation of `ConversionAnnotationProcessor`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConversionAnnotationProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(Map<String,Object> mapping, TypeConversion tc, String key)` Process annotation and build `TypeConverter` base on provided annotation and assigning it under given key
    `void` | `setTypeConverterCreator(TypeConverterCreator converterCreator)`
    `void` | `setTypeConverterHolder(TypeConverterHolder converterHolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultConversionAnnotationProcessor

          public DefaultConversionAnnotationProcessor()

  - ### Method Detail

    - #### setTypeConverterCreator

          public void setTypeConverterCreator(TypeConverterCreator converterCreator)

    - #### setTypeConverterHolder

          public void setTypeConverterHolder(TypeConverterHolder converterHolder)

    - #### process

          public void process(Map<String,Object> mapping,
                              TypeConversion tc,
                              String key)

      Description copied from interface: `ConversionAnnotationProcessor`
      Process annotation and build `TypeConverter` base on provided annotation and assigning it under given key
      Specified by:
        `process` in interface `ConversionAnnotationProcessor`
      Parameters:
        `mapping` - keeps converters per given key
        `tc` - annotation which keeps information about converter
        `key` - key under which converter should be registered

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.